GDCM: gdcm::network::ULEvent Class Reference

GDCM 3.2.5

Public Member Functions | List of all members
gdcm::network::ULEvent Class Reference

ULEvent. More...

`#include <gdcmULEvent.h>`

## Public Member Functions
| ULEvent (const EEventID &inEventID, BasePDU *inBasePDU, std::istream *iStream=nullptr, std::streampos posDataSet=0)
| ULEvent (const EEventID &inEventID, std::vector< BasePDU * > inBasePDU, std::istream *iStream=nullptr, std::streampos posDataSet=0)
| ~ULEvent ()
std::streampos | GetDataSetPos () const
EEventID | GetEvent () const
std::istream * | GetIStream () const
std::vector< BasePDU * > const & | GetPDUs () const
void | SetEvent (const EEventID &inEvent)
void | SetPDU (std::vector< BasePDU * > const &inPDU)

## Detailed Description

ULEvent.

base class for network events.

An event consists of the event ID and the data associated with that event.

Note that once a PDU is created, it is now the responsibility of the associated event to destroy it!

## Constructor & Destructor Documentation

## ◆ ULEvent() [1/2]

gdcm::network::ULEvent::ULEvent | ( | const EEventID & | inEventID,
|  | std::vector< BasePDU * > | inBasePDU,
|  | std::istream * | iStream = nullptr,
|  | std::streampos | posDataSet = 0 )
| inline

## ◆ ULEvent() [2/2]

gdcm::network::ULEvent::ULEvent | ( | const EEventID & | inEventID,
|  | BasePDU * | inBasePDU,
|  | std::istream * | iStream = nullptr,
|  | std::streampos | posDataSet = 0 )
| inline

## ◆ ~ULEvent()

gdcm::network::ULEvent::~ULEvent | ( |  | ) |
| inline

## Member Function Documentation

## ◆ GetDataSetPos()

std::streampos gdcm::network::ULEvent::GetDataSetPos | ( |  | ) | const
| inline

## ◆ GetEvent()

EEventID gdcm::network::ULEvent::GetEvent | ( |  | ) | const
| inline

## ◆ GetIStream()

std::istream * gdcm::network::ULEvent::GetIStream | ( |  | ) | const
| inline

## ◆ GetPDUs()

std::vector< BasePDU * > const & gdcm::network::ULEvent::GetPDUs | ( |  | ) | const
| inline

## ◆ SetEvent()

void gdcm::network::ULEvent::SetEvent | ( | const EEventID & | inEvent | ) |
| inline

## ◆ SetPDU()

void gdcm::network::ULEvent::SetPDU | ( | std::vector< BasePDU * > const & | inPDU | ) |
| inline

The documentation for this class was generated from the following file:

- gdcmULEvent.h